<?php

declare(strict_types=1);

namespace Ifacesoft\Ice\Query\Domain\Dto\Dbwrench;

use Ifacesoft\Ice\Data\Domain\Abstracts\AbstractStruct;
use ReflectionException;

final class Attributes extends AbstractStruct
{
    private string $Cm;

    private string $nm;

    /**
     * @throws ReflectionException
     */
    public function __construct(string $Cm, string $nm)
    {
        $this->Cm = $Cm;
        $this->nm = $nm;

        parent::__construct();
    }

    public function getCm(): string
    {
        return $this->Cm;
    }

    public function getNm(): string
    {
        return $this->nm;
    }
}
