<?php

declare(strict_types=1);

namespace Ifacesoft\Ice\Query\Domain\Dto\Dbwrench\TblCollection\Tbl\ClCollection\Cl\DTCollection\DT;

use Ifacesoft\Ice\Data\Domain\Abstracts\AbstractStruct;
use ReflectionException;

final class Attributes extends AbstractStruct
{
    private int $arr;

    private string $ds;

    private string $en;

    private int $id;

    private string $ln;

    private string $sc;

    private int $sg;

    private int $un;

    /**
     * @throws ReflectionException
     */
    public function __construct(int $arr, string $ds, string $en, int $id, string $ln, string $sc, int $sg, int $un)
    {
        $this->arr = $arr;
        $this->ds = $ds;
        $this->en = $en;
        $this->id = $id;
        $this->ln = $ln;
        $this->sc = $sc;
        $this->sg = $sg;
        $this->un = $un;

        parent::__construct();
    }

    public function getArr(): int
    {
        return $this->arr;
    }

    public function getDs(): string
    {
        return $this->ds;
    }

    public function getEn(): string
    {
        return $this->en;
    }

    public function getId(): int
    {
        return $this->id;
    }

    public function getLn(): string
    {
        return $this->ln;
    }

    public function getSc(): string
    {
        return $this->sc;
    }

    public function getSg(): int
    {
        return $this->sg;
    }

    public function getUn(): int
    {
        return $this->un;
    }
}
