<?php

declare(strict_types=1);

namespace Ifacesoft\Ice\Query\Domain\Dto\Dbwrench\TblCollection\Tbl\FkCollection\Fk\PrTbCollection;

use Ifacesoft\Ice\Data\Domain\Abstracts\AbstractStruct;
use Ifacesoft\Ice\Query\Domain\Dto\Dbwrench\TblCollection\Tbl\FkCollection\Fk\PrTbCollection\PrTb\Attributes;
use ReflectionException;

final class PrTb extends AbstractStruct
{
    private Attributes $attributes;

    /**
     * @throws ReflectionException
     */
    public function __construct(Attributes $attributes)
    {
        $this->attributes = $attributes;

        parent::__construct();
    }

    public function getAttributes(): Attributes
    {
        return $this->attributes;
    }
}
