<?php

declare(strict_types=1);

namespace Ifacesoft\Ice\Query\Domain\Dto\Dbwrench\TblCollection\Tbl\FkCollection\Fk\PrTbCollection\PrTb;

use Ifacesoft\Ice\Data\Domain\Abstracts\AbstractStruct;
use ReflectionException;

final class Attributes extends AbstractStruct
{
    private int $mn;

    private string $nm;

    private int $oe;

    private string $sch;

    private int $zr;

    /**
     * @throws ReflectionException
     */
    public function __construct(int $mn, string $nm, int $oe, string $sch, int $zr)
    {
        $this->mn = $mn;
        $this->nm = $nm;
        $this->oe = $oe;
        $this->sch = $sch;
        $this->zr = $zr;

        parent::__construct();
    }

    public function getMn(): int
    {
        return $this->mn;
    }

    public function getNm(): string
    {
        return $this->nm;
    }

    public function getOe(): int
    {
        return $this->oe;
    }

    public function getSch(): string
    {
        return $this->sch;
    }

    public function getZr(): int
    {
        return $this->zr;
    }
}
