<?php

declare(strict_types=1);

namespace Ifacesoft\Ice\Query\Domain\Dto\Dbwrench\TblCollection\Tbl\PkCollection\Pk;

use Ifacesoft\Ice\Data\Domain\Abstracts\AbstractStruct;
use ReflectionException;

final class Attributes extends AbstractStruct
{
    private string $ClNs;

    private string $nm;

    /**
     * @throws ReflectionException
     */
    public function __construct(string $ClNs, string $nm)
    {
        $this->ClNs = $ClNs;
        $this->nm = $nm;

        parent::__construct();
    }

    public function getClNs(): string
    {
        return $this->ClNs;
    }

    public function getNm(): string
    {
        return $this->nm;
    }
}
