<?php

declare(strict_types=1);

namespace {$namespace};

use ApiPlatform\Metadata\ApiResource;
use Doctrine\ORM\Mapping as ORM;
use Ifacesoft\Ice\Data\Domain\Abstracts\AbstractStruct;
use Ifacesoft\Ice\Query\Domain\Interfaces\EntityInterface;
use {$moduleNamespace}Domain\Interfaces\Repository\Entity\{$className}RepositoryInterface;

#[ORM\Entity(repositoryClass: {$className}RepositoryInterface::class)] // @phpstan-ignore argument.type
#[ORM\Table(name: '{$tableName}')]
#[ApiResource]
final class {$className} extends AbstractStruct implements EntityInterface
{
    public function __construct(
{$constructorArguments}
    ) {
        parent::__construct();
    }
}
