<?php

declare(strict_types=1);

namespace Ifacesoft\Moex\Infrastructure\Manager\Entity;

use Doctrine\Persistence\ManagerRegistry;
use {$class};
use Ifacesoft\Moex\Domain\Interfaces\Manager\Entity\{$className}ManagerInterface;
use Ifacesoft\Moex\Infrastructure\Abstracts\Entity\AbstractManager;

/**
 * @template T of {$className}
 *
 * @template-extends AbstractManager<{$className}>
 *
 * @template-implements {$className}ManagerInterface<{$className}>
 */
final class {$className}Manager extends AbstractManager implements {$className}ManagerInterface
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, {$className}::class);
    }
}
