<?php

declare(strict_types=1);

namespace Ifacesoft\Ice\Query\Domain\Dto\Dbwrench\TblCollection\Tbl;

use Ifacesoft\Ice\Data\Domain\Abstracts\AbstractStruct;
use ReflectionException;

final class Attributes extends AbstractStruct
{
    private int $UsSo;

    private string $nm;

    /**
     * @throws ReflectionException
     */
    public function __construct(int $UsSo, string $nm)
    {
        $this->UsSo = $UsSo;
        $this->nm = $nm;

        parent::__construct();
    }

    public function getUsSo(): int
    {
        return $this->UsSo;
    }

    public function getNm(): string
    {
        return $this->nm;
    }
}
