<?php

declare(strict_types=1);

namespace Ifacesoft\Ice\Query\Domain\Dto\Dbwrench\TblCollection\Tbl\ClCollection\Cl;

use Ifacesoft\Ice\Data\Domain\Abstracts\AbstractStruct;
use ReflectionException;

final class Attributes extends AbstractStruct
{
    private int $au;

    private string $df;

    private string $nm;

    private int $nu;

    /**
     * @throws ReflectionException
     */
    public function __construct(int $au, string $df, string $nm, int $nu)
    {
        $this->au = $au;
        $this->df = $df;
        $this->nm = $nm;
        $this->nu = $nu;

        parent::__construct();
    }

    public function getAu(): int
    {
        return $this->au;
    }

    public function getDf(): string
    {
        return $this->df;
    }

    public function getNm(): string
    {
        return $this->nm;
    }

    public function getNu(): int
    {
        return $this->nu;
    }
}
