<?php

declare(strict_types=1);

namespace Ifacesoft\Ice\Query\Domain\Dto\Dbwrench\TblCollection\Tbl\FkCollection\Fk;

use Ifacesoft\Ice\Data\Domain\Abstracts\AbstractStruct;
use ReflectionException;

final class Attributes extends AbstractStruct
{
    private int $deAc;

    private string $nm;

    private string $prLkCl;

    private int $upAc;

    /**
     * @throws ReflectionException
     */
    public function __construct(int $deAc, string $nm, string $prLkCl, int $upAc)
    {
        $this->deAc = $deAc;
        $this->nm = $nm;
        $this->prLkCl = $prLkCl;
        $this->upAc = $upAc;

        parent::__construct();
    }

    public function getDeAc(): int
    {
        return $this->deAc;
    }

    public function getNm(): string
    {
        return $this->nm;
    }

    public function getPrLkCl(): string
    {
        return $this->prLkCl;
    }

    public function getUpAc(): int
    {
        return $this->upAc;
    }
}
