<?php

declare(strict_types=1);

namespace Ifacesoft\Ice\Query\Domain\Dto\Dbwrench\TblCollection\Tbl\FkCollection\Fk\ClPrCollection\ClPr;

use Ifacesoft\Ice\Data\Domain\Abstracts\AbstractStruct;
use ReflectionException;

final class Attributes extends AbstractStruct
{
    private string $cdCl;

    private string $prCl;

    /**
     * @throws ReflectionException
     */
    public function __construct(string $cdCl, string $prCl)
    {
        $this->cdCl = $cdCl;
        $this->prCl = $prCl;

        parent::__construct();
    }

    public function getCdCl(): string
    {
        return $this->cdCl;
    }

    public function getPrCl(): string
    {
        return $this->prCl;
    }
}
