<?php

declare(strict_types=1);

namespace Ifacesoft\Ice\Query\Domain\Dto\Dbwrench\TblCollection\Tbl\IdxCollection;

use Ifacesoft\Ice\Data\Domain\Abstracts\AbstractStruct;
use Ifacesoft\Ice\Query\Domain\Dto\Dbwrench\TblCollection\Tbl\IdxCollection\Idx\Attributes;
use ReflectionException;

final class Idx extends AbstractStruct
{
    private Attributes $attributes;

    private string $ClNs;

    private string $OptTx;

    /**
     * @throws ReflectionException
     */
    public function __construct(Attributes $attributes, string $ClNs, string $OptTx)
    {
        $this->attributes = $attributes;
        $this->ClNs = $ClNs;
        $this->OptTx = $OptTx;

        parent::__construct();
    }

    public function getAttributes(): Attributes
    {
        return $this->attributes;
    }

    public function getClNs(): string
    {
        return $this->ClNs;
    }

    public function getOptTx(): string
    {
        return $this->OptTx;
    }
}
