<?php

declare(strict_types=1);

namespace Ifacesoft\Ice\Query\Domain\Dto\Dbwrench\TblCollection\Tbl\IdxCollection\Idx;

use Ifacesoft\Ice\Data\Domain\Abstracts\AbstractStruct;
use ReflectionException;

final class Attributes extends AbstractStruct
{
    private int $clu;

    private int $ftx;

    private string $nm;

    private int $spa;

    private int $unq;

    /**
     * @throws ReflectionException
     */
    public function __construct(int $clu, int $ftx, string $nm, int $spa, int $unq)
    {
        $this->clu = $clu;
        $this->ftx = $ftx;
        $this->nm = $nm;
        $this->spa = $spa;
        $this->unq = $unq;

        parent::__construct();
    }

    public function getClu(): int
    {
        return $this->clu;
    }

    public function getFtx(): int
    {
        return $this->ftx;
    }

    public function getNm(): string
    {
        return $this->nm;
    }

    public function getSpa(): int
    {
        return $this->spa;
    }

    public function getUnq(): int
    {
        return $this->unq;
    }
}
